--- src/sage/homology/chains.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/homology/chains.py	2018-10-17 14:12:50.253054434 -0600
@@ -476,7 +476,7 @@ class Cochains(CellComplexReference, Com
             })
 
         def coboundary(self):
-            """
+            r"""
             Return the coboundary of this cochain
 
             OUTPUT:
@@ -556,7 +556,7 @@ class Cochains(CellComplexReference, Com
             return self.to_complex().is_boundary()
 
         def eval(self, other):
-            """
+            r"""
             Evaluate this cochain on the chain ``other``.
 
             INPUT:
@@ -607,7 +607,7 @@ class Cochains(CellComplexReference, Com
             return R(result)
 
         def cup_product(self, cochain):
-            """
+            r"""
             Return the cup product with another cochain
 
             INPUT:
--- src/sage/homology/delta_complex.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/homology/delta_complex.py	2018-10-17 14:13:10.124798492 -0600
@@ -1720,7 +1720,7 @@ class DeltaComplexExamples():
         return DeltaComplex({Simplex(n): True})
 
     def SurfaceOfGenus(self, g, orientable=True):
-        """
+        r"""
         A surface of genus g as a `\Delta`-complex.
 
         :param g: the genus
--- src/sage/homology/hochschild_complex.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/homology/hochschild_complex.py	2018-10-16 14:28:16.894755162 -0600
@@ -349,7 +349,7 @@ class HochschildComplex(UniqueRepresenta
         return cod.module_morphism(matrix=bdry.matrix().transpose(), codomain=dom)
 
     def homology(self, d):
-        """
+        r"""
         Return the ``d``-th homology group.
 
         EXAMPLES::
@@ -403,7 +403,7 @@ class HochschildComplex(UniqueRepresenta
         return ker.quotient_module(im_retract)
 
     def cohomology(self, d):
-        """
+        r"""
         Return the ``d``-th cohomology group.
 
         EXAMPLES::
--- src/sage/homology/homology_group.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/homology/homology_group.py	2018-10-17 14:13:39.148424676 -0600
@@ -111,7 +111,7 @@ class HomologyGroup_class(AdditiveAbelia
             sage: H._latex_()
             'C_{4}^{5} \\times C_{7} \\times C_{7}'
             sage: latex(HomologyGroup(6, ZZ))
-            \ZZ^{6}
+            \\ZZ^{6}
         """
         eldv = self._original_invts
         if len(eldv) == 0:
--- src/sage/homology/homology_vector_space_with_basis.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/homology/homology_vector_space_with_basis.py	2018-10-16 14:28:41.574447379 -0600
@@ -333,7 +333,7 @@ class HomologyVectorSpaceWithBasis(Combi
 
     @cached_method
     def _to_cycle_on_basis(self, i):
-        """
+        r"""
         Return the (co)cycle representative of the basis element
         indexed by ``i``.
 
--- src/sage/homology/simplicial_set_constructions.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/homology/simplicial_set_constructions.py	2018-10-16 14:26:51.567819300 -0600
@@ -972,7 +972,7 @@ class ProductOfSimplicialSets(PullbackOf
         return ' x '.join([str(X) for X in self._factors])
 
     def _latex_(self):
-        """
+        r"""
         LaTeX representation
 
         EXAMPLES::
@@ -1805,7 +1805,7 @@ class QuotientOfSimplicialSet(PushoutOfS
         return 'Quotient: ({}/{})'.format(self.ambient(), self.subcomplex())
 
     def _latex_(self):
-        """
+        r"""
         LaTeX representation
 
         EXAMPLES::
@@ -1942,7 +1942,7 @@ class SmashProductOfSimplicialSets_finit
         return s
 
     def _latex_(self):
-        """
+        r"""
         LaTeX representation
 
         EXAMPLES::
@@ -2405,7 +2405,7 @@ class ConeOfSimplicialSet(SimplicialSet_
         return 'Cone of {}'.format(self._base)
 
     def _latex_(self):
-        """
+        r"""
         LaTeX representation
 
         EXAMPLES::
--- src/sage/homology/simplicial_set_examples.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/homology/simplicial_set_examples.py	2018-10-16 14:27:12.503558208 -0600
@@ -335,7 +335,7 @@ def ClassifyingSpace(group):
 
 
 def RealProjectiveSpace(n):
-    """
+    r"""
     Return real `n`-dimensional projective space, as a simplicial set.
 
     This is constructed as the `n`-skeleton of the nerve of the group
--- src/sage/homology/simplicial_set_morphism.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/homology/simplicial_set_morphism.py	2018-10-16 14:27:46.759130992 -0600
@@ -300,7 +300,7 @@ class SimplicialSetHomset(Homset):
                 pass
 
     def _latex_(self):
-        """
+        r"""
         LaTeX representation
 
         EXAMPLES::
--- src/sage/homology/simplicial_set.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/homology/simplicial_set.py	2018-10-16 14:25:47.346620222 -0600
@@ -962,7 +962,7 @@ class NonDegenerateSimplex(AbstractSimpl
 
 def AbstractSimplex(dim, degeneracies=(), underlying=None,
                     name=None, latex_name=None):
-    """
+    r"""
     An abstract simplex, a building block of a simplicial set.
 
     In a simplicial set, a simplex either is non-degenerate or is
--- src/sage/interfaces/axiom.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/interfaces/axiom.py	2018-10-17 14:44:21.199671183 -0600
@@ -216,7 +216,7 @@ class PanAxiom(ExtraTabCompletion, Expec
         self._COMMANDS_CACHE = '%s/%s_commandlist_cache.sobj'%(DOT_SAGE, name)
         Expect.__init__(self,
                         name = name,
-                        prompt = '\([0-9]+\) -> ',
+                        prompt = r'\([0-9]+\) -> ',
                         command = command,
                         script_subdirectory = script_subdirectory,
                         server=server,
--- src/sage/interfaces/chomp.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/interfaces/chomp.py	2018-10-16 14:30:11.933320492 -0600
@@ -47,7 +47,7 @@ def have_chomp(program='homsimpl'):
     return _have_chomp[program]
 
 class CHomP:
-    """
+    r"""
     Interface to the CHomP package.
 
     :param program: which CHomP program to use
@@ -295,7 +295,7 @@ class CHomP:
                 if hom_str.find("^") != -1:
                     rk_srch = re.search(r'\^([0-9]*)\s?', hom_str)
                     rk = int(rk_srch.group(1))
-                rk += len(re.findall("(Z$)|(Z\s)", hom_str))
+                rk += len(re.findall(r"(Z$)|(Z\s)", hom_str))
                 if mod_p:
                     rk = rk if rk != 0 else 1
                     if verbose:
@@ -664,7 +664,7 @@ def process_generators_cubical(gen_strin
         # drop the first coordinate and eliminate duplicates, at least
         # in positive dimensions, drop any line containing a
         # degenerate cube
-        g = re.sub('\([01],', '(', g)
+        g = re.sub(r'\([01],', '(', g)
         if dim > 0:
             lines = g.splitlines()
             newlines = []
--- src/sage/interfaces/ecm.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/interfaces/ecm.py	2018-10-17 14:45:01.630149706 -0600
@@ -320,15 +320,15 @@ class ECM(SageObject):
         return self._recommended_B1_list[self._B1_table_value(factor_digits)]
 
     _parse_status_re = re.compile(
-        'Using B1=(\d+), B2=(\d+), polynomial ([^,]+), sigma=(\d+)')
+        r'Using B1=(\d+), B2=(\d+), polynomial ([^,]+), sigma=(\d+)')
 
     _found_input_re = re.compile('Found input number N')
 
     _found_factor_re = re.compile(
-        'Found (?P<primality>.*) factor of [\s]*(?P<digits>\d+) digits: (?P<factor>\d+)')
+        r'Found (?P<primality>.*) factor of [\s]*(?P<digits>\d+) digits: (?P<factor>\d+)')
 
     _found_cofactor_re = re.compile(
-        '(?P<primality>.*) cofactor (?P<cofactor>\d+) has [\s]*(?P<digits>\d+) digits')
+        r'(?P<primality>.*) cofactor (?P<cofactor>\d+) has [\s]*(?P<digits>\d+) digits')
 
     def _parse_output(self, n, out):
         """
--- src/sage/interfaces/fricas.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/interfaces/fricas.py	2018-10-17 14:49:20.554800360 -0600
@@ -208,7 +208,7 @@ FRICAS_SINGLE_LINE_START = 3 # where the
 FRICAS_MULTI_LINE_START = 2  # and when it doesn't
 FRICAS_LINE_LENGTH = 80      # length of a line, should match the line length in sage
 # the following messages have, unfortunately, no markup.
-FRICAS_WHAT_OPERATIONS_STRING = "Operations whose names satisfy the above pattern\(s\):"
+FRICAS_WHAT_OPERATIONS_STRING = r"Operations whose names satisfy the above pattern\(s\):"
 FRICAS_ERROR_IN_LIBRARY_CODE = ">> Error detected within library code:"
 
 # only the last command should be necessary to make the interface
@@ -227,8 +227,8 @@ FRICAS_INIT_CODE = (
 "               (princ #\\Newline))))")
 
 FRICAS_LINENUMBER_OFF_CODE = ")lisp (setf |$IOindex| NIL)"
-FRICAS_FIRST_PROMPT = "\(1\) -> "
-FRICAS_LINENUMBER_OFF_PROMPT = "\(NIL\) -> "
+FRICAS_FIRST_PROMPT = r"\(1\) -> "
+FRICAS_LINENUMBER_OFF_PROMPT = r"\(NIL\) -> "
 
 class FriCAS(ExtraTabCompletion, Expect):
     """
@@ -344,7 +344,7 @@ class FriCAS(ExtraTabCompletion, Expect)
             True
         """
         output = self.eval(")what operations", reformat=False)
-        m = re.search(FRICAS_WHAT_OPERATIONS_STRING + "\n(.*)\n\|startKeyedMsg\|", output, flags = re.DOTALL)
+        m = re.search(FRICAS_WHAT_OPERATIONS_STRING + "\n(.*)\n\\|startKeyedMsg\\|", output, flags = re.DOTALL)
         l = m.groups()[0].split()
         return l
 
@@ -511,7 +511,7 @@ class FriCAS(ExtraTabCompletion, Expect)
 
         """
         # otherwise there might be a message
-        m = re.search("\|startKeyedMsg\|\n(.*)\n\|endOfKeyedMsg\|", output, flags = re.DOTALL)
+        m = re.search("\\|startKeyedMsg\\|\n(.*)\n\\|endOfKeyedMsg\\|", output, flags = re.DOTALL)
         if m:
             replacements = [('|startKeyedMsg|\n', ''),
                             ('|endOfKeyedMsg|', '')]
@@ -568,7 +568,7 @@ class FriCAS(ExtraTabCompletion, Expect)
         """
         output = self.eval(str(var), reformat=False)
         # if there is AlgebraOutput we ask no more
-        m = re.search("\|startAlgebraOutput\|\n(.*)\n\|endOfAlgebraOutput\|", output, flags = re.DOTALL)
+        m = re.search("\\|startAlgebraOutput\\|\n(.*)\n\\|endOfAlgebraOutput\\|", output, flags = re.DOTALL)
         if m:
             lines = m.groups()[0].split("\n")
             if max(len(line) for line in lines) < FRICAS_LINE_LENGTH:
@@ -1012,10 +1012,10 @@ class FriCASElement(ExpectElement):
             sage: latex(fricas("integrate(sin(x+1/x),x)"))                      # optional - fricas
             \int ^{\displaystyle x} {{\sin \left( {{{{{ \%O} ^{2}}+1} \over  \%O}} \right)} \  {d \%O}}
         """
-        replacements = [('\sp ', '^'),
-                        ('\sp{', '^{'),
-                        ('\sb ', '_'),
-                        ('\sb{', '_{')]
+        replacements = [(r'\sp ', '^'),
+                        (r'\sp{', '^{'),
+                        (r'\sb ', '_'),
+                        (r'\sb{', '_{')]
         P = self._check_valid()
         s = P.get_string("first tex(%s)" %self._name)
         for old, new in replacements:
@@ -1081,7 +1081,7 @@ class FriCASElement(ExpectElement):
         raise NotImplementedError("The translation of FriCAS type %s to sage is not yet implemented." %domain)
 
     def _sage_expression(self, unparsed_InputForm):
-        """
+        r"""
         Convert an expression to an element of the Symbolic Ring.
 
         This does not depend on `self`.  Instead, for practical
@@ -1190,7 +1190,7 @@ class FriCASElement(ExpectElement):
 
 
     def _sage_(self):
-        """
+        r"""
         Convert self to a Sage object.
 
         EXAMPLES:
--- src/sage/interfaces/gap3.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/interfaces/gap3.py	2018-10-17 14:51:21.833217076 -0600
@@ -349,8 +349,8 @@ class Gap3(Gap_generic):
         # funny-looking patterns in the interface. We compile the patterns
         # now, and use them later for interpreting interface messages.
         self._compiled_full_pattern = self._expect.compile_pattern_list([
-            '@p\d+\.','@@','@[A-Z]','@[123456!"#$%&][^+]*\+', '@e','@c',
-            '@f','@h','@i','@m','@n','@r','@s\d','@w.*\+','@x','@z'])
+            r'@p\d+\.','@@','@[A-Z]',r'@[123456!"#$%&][^+]*\+', '@e','@c',
+            '@f','@h','@i','@m','@n','@r',r'@s\d',r'@w.*\+','@x','@z'])
         self._compiled_small_pattern = self._expect.compile_pattern_list('@J')
         self._expect.expect("@i")
 
--- src/sage/interfaces/gap.py.orig	2018-08-29 11:21:43.180584324 -0600
+++ src/sage/interfaces/gap.py	2018-10-17 14:51:02.657467414 -0600
@@ -352,7 +352,7 @@ class Gap_generic(ExtraTabCompletion, Ex
         cmd = str(rnd)+';'
         try:
             E.sendline(cmd)
-            E.expect('@[nf][@J\s>]*'+str(rnd), timeout=timeout)
+            E.expect(r'@[nf][@J\s>]*'+str(rnd), timeout=timeout)
             E.send(' ')
             E.expect('@i', timeout=timeout)
         except pexpect.TIMEOUT:
@@ -404,7 +404,7 @@ class Gap_generic(ExtraTabCompletion, Ex
             # send a dummy command
             E.sendline('224433409;')
             # read everything up to the actual output of the command
-            E.expect('@[nf][@J\s>]*224433409', timeout=timeout)
+            E.expect(r'@[nf][@J\s>]*224433409', timeout=timeout)
             E.send(' ')
             # the following input prompt should be the current input
             # prompt but GAP might be too confused to display it
@@ -417,11 +417,11 @@ class Gap_generic(ExtraTabCompletion, Ex
             E.sendline()
             time.sleep(0.1)
             E.sendline('224433437;')
-            E.expect('@[nf][@J\s>]*224433437', timeout=timeout)
+            E.expect(r'@[nf][@J\s>]*224433437', timeout=timeout)
             E.sendline()
             time.sleep(0.1)
             E.sendline('224433479;')
-            E.expect('@[nf][@J\s>]*224433479', timeout=timeout)
+            E.expect(r'@[nf][@J\s>]*224433479', timeout=timeout)
             E.send(' ')
             # the following input prompt is now the current input prompt
             E.expect('@i', timeout=timeout)
@@ -674,7 +674,7 @@ class Gap_generic(ExtraTabCompletion, Ex
         raise KeyboardInterrupt("Ctrl-c pressed while running %s"%self)
 
     def _eval_line(self, line, allow_use_file=True, wait_for_prompt=True, restart_if_needed=True):
-        """
+        r"""
         Evaluate a line of commands.
 
         REMARK:
@@ -1256,8 +1256,8 @@ class Gap(Gap_generic):
             self.save_workspace()
         # Now, as self._expect exists, we can compile some useful pattern:
         self._compiled_full_pattern = self._expect.compile_pattern_list([
-                '@p\d+\.','@@','@[A-Z]','@[123456!"#$%&][^+]*\+',
-                '@e','@c','@f','@h','@i','@m','@n','@r','@s\d','@w.*\+','@x','@z'])
+                r'@p\d+\.','@@','@[A-Z]',r'@[123456!"#$%&][^+]*\+',
+                '@e','@c','@f','@h','@i','@m','@n','@r',r'@s\d',r'@w.*\+','@x','@z'])
         # read everything up to the first "ready" prompt
         self._expect.expect("@i")
 
@@ -1359,7 +1359,7 @@ class Gap(Gap_generic):
         self.eval(r'\$SAGE.tempfile := "%s";' % tmp_to_use)
         line = Expect.eval(self, "? %s" % s)
         Expect.eval(self, "? 1")
-        match = re.search("Page from (\d+)", line)
+        match = re.search(r"Page from (\d+)", line)
         if match is None:
             print(line)
         else:
--- src/sage/interfaces/gnuplot.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/interfaces/gnuplot.py	2018-10-17 14:51:44.264924229 -0600
@@ -139,7 +139,7 @@ class Gnuplot(SageObject):
                           range1='[u=-pi:pi]',
                           range2='[v=-0.2:0.2]', samples=50, title=None,
                           interact=True):
-        """
+        r"""
         Draw a parametric 3d surface and rotate it interactively.
 
         INPUT:
--- src/sage/interfaces/jmoldata.py.orig	2018-08-29 08:47:39.203938604 -0600
+++ src/sage/interfaces/jmoldata.py	2018-10-16 14:04:43.230337793 -0600
@@ -67,7 +67,7 @@ class JmolData(SageObject):
         except (subprocess.CalledProcessError, OSError):
             return False
 
-        java_version = re.search('version.*([1][.][789]|"\d+")', version)
+        java_version = re.search(r'version.*([1][.][789]|"\d+")', version)
         return java_version is not None
 
     def export_image(self,
--- src/sage/interfaces/lie.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/interfaces/lie.py	2018-10-17 14:52:12.545555024 -0600
@@ -690,7 +690,7 @@ class LiE(ExtraTabCompletion, Expect):
         """
         cmd = '%s=%s'%(var,value)
         out = self.eval(cmd)
-        i = min( out.find('not defined'), out.find('\(in'), out.find('Argument types') )
+        i = min( out.find('not defined'), out.find(r'\(in'), out.find('Argument types') )
         if i != -1:
             raise RuntimeError(out)
 
--- src/sage/interfaces/macaulay2.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/interfaces/macaulay2.py	2018-10-17 14:52:36.392243705 -0600
@@ -607,7 +607,7 @@ class Macaulay2(ExtraTabCompletion, Expe
 @instancedoc
 class Macaulay2Element(ExtraTabCompletion, ExpectElement):
     def _latex_(self):
-        """
+        r"""
         EXAMPLES::
 
             sage: m = macaulay2('matrix {{1,2},{3,4}}') # optional - macaulay2
--- src/sage/interfaces/magma.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/interfaces/magma.py	2018-10-17 14:53:31.136529022 -0600
@@ -223,7 +223,7 @@ from .expect import console, Expect, Exp
 PROMPT = ">>>"
 
 SAGE_REF = "_sage_ref"
-SAGE_REF_RE = re.compile('%s\d+' % SAGE_REF)
+SAGE_REF_RE = re.compile(r'%s\d+' % SAGE_REF)
 
 from sage.env import SAGE_EXTCODE, DOT_SAGE
 import sage.misc.misc
@@ -2205,7 +2205,7 @@ class MagmaElement(ExtraTabCompletion, E
         return self.__gen_names
 
     def evaluate(self, *args):
-        """
+        r"""
         Evaluate self at the inputs.
 
         INPUT:
@@ -2805,10 +2805,10 @@ class MagmaGBLogPrettyPrinter:
     A device which filters Magma Groebner basis computation logs.
     """
     cmd_inpt = re.compile("^>>>$")
-    app_inpt = re.compile("^Append\(~_sage_, 0\);$")
+    app_inpt = re.compile(r"^Append\(~_sage_, 0\);$")
 
-    deg_curr = re.compile("^Basis length\: (\d+), queue length\: (\d+), step degree\: (\d+), num pairs\: (\d+)$")
-    pol_curr = re.compile("^Number of pair polynomials\: (\d+), at (\d+) column\(s\), .*")
+    deg_curr = re.compile(r"^Basis length\: (\d+), queue length\: (\d+), step degree\: (\d+), num pairs\: (\d+)$")
+    pol_curr = re.compile(r"^Number of pair polynomials\: (\d+), at (\d+) column\(s\), .*")
 
     def __init__(self, verbosity=1, style='magma'):
         """
--- src/sage/interfaces/maple.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/interfaces/maple.py	2018-10-17 14:53:51.528262812 -0600
@@ -442,7 +442,7 @@ connection to a server running Maple; fo
         return self._expect
 
     def console(self):
-        """
+        r"""
         Spawn a new Maple command-line session.
 
         EXAMPLES::
@@ -1146,7 +1146,7 @@ def reduce_load_Maple():
 
 
 def maple_console():
-    """
+    r"""
     Spawn a new Maple command-line session.
 
     EXAMPLES::
--- src/sage/interfaces/mathematica.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/interfaces/mathematica.py	2018-10-17 14:54:09.848023644 -0600
@@ -792,7 +792,7 @@ class MathematicaElement(ExpectElement):
 
         # Find the MMA funcs/vars/constants - they start with a letter.
         # Exclude exponents (e.g. 'e8' from 4.e8)
-        p = re.compile('(?<!\.)[a-zA-Z]\w*')
+        p = re.compile(r'(?<!\.)[a-zA-Z]\w*')
         for m in p.finditer(res):
             # If the function, variable or constant is already in the
             # translation dictionary, then just move on.
--- src/sage/interfaces/maxima_abstract.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/interfaces/maxima_abstract.py	2018-10-17 14:55:16.127158376 -0600
@@ -986,7 +986,7 @@ class MaximaAbstract(ExtraTabCompletion,
         if n < 1:
             raise ValueError("n (=%s) must be >= 1" % n)
         s = repr(self('qunit(%s)' % n)).lower()
-        r = re.compile('sqrt\(.*\)')
+        r = re.compile(r'sqrt\(.*\)')
         a = QuadraticField(n, 'a').gen()
         s = r.sub('a', s)
         return eval(s)
@@ -2028,7 +2028,7 @@ class MaximaAbstractElementFunction(Maxi
         return self.definition()
 
     def _latex_(self):
-        """
+        r"""
         Return latex representation of this Maxima function.
 
         INPUT: none
--- src/sage/interfaces/maxima.py.orig	2018-08-29 08:47:09.779302448 -0600
+++ src/sage/interfaces/maxima.py	2018-10-17 14:54:44.999564744 -0600
@@ -545,7 +545,7 @@ class Maxima(MaximaAbstract, Expect):
         MaximaAbstract.__init__(self,"maxima")
         Expect.__init__(self,
                         name = 'maxima',
-                        prompt = '\(\%i[0-9]+\) ',
+                        prompt = r'\(\%i[0-9]+\) ',
                         command = 'maxima --disable-readline -p "{0}"'.format(STARTUP),
                         env = {'TMPDIR': str(ECL_TMP)},
                         script_subdirectory = script_subdirectory,
@@ -557,7 +557,7 @@ class Maxima(MaximaAbstract, Expect):
         # Must match what is in the file local/bin/sage-maxima.lisp
         self._display_prompt = '<sage-display>'
         # See #15440 for the importance of the trailing space
-        self._output_prompt_re = re.compile('\(\%o[0-9]+\) ')
+        self._output_prompt_re = re.compile(r'\(\%o[0-9]+\) ')
         self._ask = [b'zero or nonzero\\?', b'an integer\\?',
                      b'positive, negative or zero\\?', b'positive or negative\\?',
                      b'positive or zero\\?', b'equal to .*\\?']
@@ -804,7 +804,7 @@ class Maxima(MaximaAbstract, Expect):
         m = r.search(out)
         if m is not None:
             out = out[m.end():]
-        return re.sub('\s+', '', out)
+        return re.sub(r'\s+', '', out)
 
     def _synchronize(self):
         """
--- src/sage/interfaces/octave.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/interfaces/octave.py	2018-10-17 14:55:41.421828157 -0600
@@ -192,7 +192,7 @@ class Octave(Expect):
         Expect.__init__(self,
                         name = 'octave',
                         # We want the prompt sequence to be unique to avoid confusion with syntax error messages containing >>>
-                        prompt = 'octave\:\d+> ',
+                        prompt = r'octave\:\d+> ',
                         # We don't want any pagination of output
                         command = command + " --no-line-editing --silent --eval 'PS2(PS1());more off' --persist",
                         maxread = maxread,
@@ -461,7 +461,7 @@ class Octave(Expect):
         octave_console()
 
     def version(self):
-        """
+        r"""
         Return the version of Octave.
 
         OUTPUT: string
--- src/sage/interfaces/phc.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/interfaces/phc.py	2018-10-16 14:35:30.338352894 -0600
@@ -548,8 +548,8 @@ class PHC:
         # regular expressions for matching certain output types
         var_cnt_regex = re.compile('^ +([0-9]+)')
         output_regex  = re.compile('^OUTPUT INFORMATION DURING')
-        t_regex       = re.compile('(^t +: +(-{0,1}[0-9]+\.[0-9]+E[-+][0-9]+) +(-{0,1}[0-9]+\.[0-9]+E[-+][0-9]+)$)', re.IGNORECASE)
-        sols_regex    = re.compile('(^ *(([a-z]|[0-9])+) +: +(-?[0-9]+\.[0-9]+E[-+][0-9]+) +(-?[0-9]+\.[0-9]+E[-+][0-9]+)$)', re.IGNORECASE)
+        t_regex       = re.compile(r'(^t +: +(-{0,1}[0-9]+\.[0-9]+E[-+][0-9]+) +(-{0,1}[0-9]+\.[0-9]+E[-+][0-9]+)$)', re.IGNORECASE)
+        sols_regex    = re.compile(r'(^ *(([a-z]|[0-9])+) +: +(-?[0-9]+\.[0-9]+E[-+][0-9]+) +(-?[0-9]+\.[0-9]+E[-+][0-9]+)$)', re.IGNORECASE)
         complete_regex= re.compile('^TIMING INFORMATION')
 
         breakfast = False
--- src/sage/interfaces/polymake.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/interfaces/polymake.py	2018-10-17 14:56:10.351450483 -0600
@@ -1192,7 +1192,7 @@ class Polymake(ExtraTabCompletion, Expec
             raise ValueError("Unknown polymake application '{}'".format(app))
         self._application = app
         patterns = ["{} > ".format(app),            # 0: normal prompt
-                    "{} \([0-9]+\)> ".format(app),  # 1: continuation prompt
+                    r"{} \([0-9]+\)> ".format(app), # 1: continuation prompt
                     "Please choose ".format(app),   # 2: user input expected when requesting "help"
                     "killed by signal",             # 3: what we are looking for when interrupting a computation
                     "polymake: +ERROR: +",          # 4: error
--- src/sage/interfaces/r.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/interfaces/r.py	2018-10-17 14:57:14.982606727 -0600
@@ -636,9 +636,9 @@ class R(ExtraTabCompletion, Expect):
             sage: rstr.startswith('R version')
             True
         """
-        major_re = re.compile('^major\s*(\d.*?)$', re.M)
-        minor_re = re.compile('^minor\s*(\d.*?)$', re.M)
-        version_string_re = re.compile('^version.string\s*(R.*?)$', re.M)
+        major_re = re.compile(r'^major\s*(\d.*?)$', re.M)
+        minor_re = re.compile(r'^minor\s*(\d.*?)$', re.M)
+        version_string_re = re.compile(r'^version.string\s*(R.*?)$', re.M)
 
         s = self.eval('version')
 
@@ -1255,11 +1255,11 @@ class R(ExtraTabCompletion, Expect):
 
 
 # patterns for _sage_()
-rel_re_param = re.compile('\s([\w\.]+)\s=')
-rel_re_range = re.compile('([\d]+):([\d]+)')
-rel_re_integer = re.compile('([^\d])([\d]+)L')
-rel_re_terms = re.compile('terms\s*=\s*(.*?),')
-rel_re_call = re.compile('call\s*=\s*(.*?)\),')
+rel_re_param = re.compile(r'\s([\w\.]+)\s=')
+rel_re_range = re.compile(r'([\d]+):([\d]+)')
+rel_re_integer = re.compile(r'([^\d])([\d]+)L')
+rel_re_terms = re.compile(r'terms\s*=\s*(.*?),')
+rel_re_call = re.compile(r'call\s*=\s*(.*?)\),')
 
 
 @instancedoc
@@ -1676,7 +1676,7 @@ class RElement(ExtraTabCompletion, Expec
         """
         from re import compile as re_compile
         from re import split   as re_split
-        splt = re_compile('(c\(|\(|\))') # c( or ( or )
+        splt = re_compile(r'(c\(|\(|\))') # c( or ( or )
         lvl = 0
         ret = []
         for token in re_split(splt, exp):
@@ -1821,12 +1821,12 @@ class RElement(ExtraTabCompletion, Expec
 
         # Change 'structure' to '_r_structure'
         # TODO: check that we are outside of quotes ""
-        exp = re.sub(' structure\(', ' _r_structure(', exp)
-        exp = re.sub('^structure\(', '_r_structure(', exp) #special case
+        exp = re.sub(r' structure\(', ' _r_structure(', exp)
+        exp = re.sub(r'^structure\(', '_r_structure(', exp) #special case
 
         # Change 'list' to '_r_list'
-        exp = re.sub(' list\(', ' _r_list(', exp)
-        exp = re.sub('\(list\(', '(_r_list(', exp)
+        exp = re.sub(r' list\(', ' _r_list(', exp)
+        exp = re.sub(r'\(list\(', '(_r_list(', exp)
 
         # Change 'a:b' to 'range(a,b+1)'
         exp = rel_re_range.sub(self._subs_range, exp)
--- src/sage/interfaces/rubik.py.orig	2018-08-03 05:10:08.000000000 -0600
+++ src/sage/interfaces/rubik.py	2018-10-16 14:36:13.017821504 -0600
@@ -209,14 +209,14 @@ class CubexSolver:
         """
         s = self.format_cube(facets)
         child = pexpect.spawn(self.__cmd+" "+s)
-        ix = child.expect(['210.*?:', '^5\d+(.*)'])
+        ix = child.expect(['210.*?:', r'^5\d+(.*)'])
         if ix == 0:
             child.expect(['211', pexpect.EOF])
             moves = bytes_to_str(child.before).strip().replace(',', '').split(' ')
             return " ".join([move_map[m] for m in reversed(moves)])
         else:
             s = child.after
-            while child.expect(['^5\d+', pexpect.EOF]) == 0:
+            while child.expect([r'^5\d+', pexpect.EOF]) == 0:
                 s += child.after
             raise ValueError(bytes_to_str(s))
 
